/* $Id: filter.h,v 1.1.1.1 90/11/28 16:44:08 altenhof Exp $ */

/*
 * Copyright (C) 1990 by Digital Equipment Corporation.
 * 
 * Author: Michael P. Altenhofen, CEC Karlsruhe e-mail:
 * Altenhofen@kampus.enet.dec.com
 * 
 * This file ist part of Shared X
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation without fee is hereby granted, but only for non-profit  use
 * and distribution,  and provided  that the copyright notice and this notice
 * is preserved on all copies.
 * 
 * DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 * DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 */

#define MotionsMask   ( ButtonMotionMask | Button1MotionMask | \
		        Button2MotionMask | Button3MotionMask | \
		        Button4MotionMask | Button5MotionMask | \
		        PointerMotionMask | PointerMotionHintMask )

#define AllstructuresNotifyMask (StructureNotifyMask | SubstructureNotifyMask)

#define CantBeFiltered 0L

static Mask filter[] =
{
  NoEventMask,
  NoEventMask,
  KeyPressMask,			/* KeyPress */
  KeyPressMask,			/* KeyRelease */
  ButtonPressMask,		/* ButtonPress */
  ButtonReleaseMask,		/* ButtonRelease */
  MotionsMask,			/* MotionNotify */
  EnterWindowMask,		/* EnterNotify */
  LeaveWindowMask,		/* LeaveNotify */
  FocusChangeMask,		/* FocusIn */
  FocusChangeMask,		/* FocusOut */
  KeymapStateMask,		/* KeyMapNotify */
  ExposureMask,			/* Expose */
  ExposureMask,			/* GraphicsExpose */
  ExposureMask,			/* NoExpose */
  VisibilityChangeMask,		/* VisibilityNotify */
  SubstructureNotifyMask,	/* CreateNotify */
  AllstructuresNotifyMask,	/* DestroyNotify */
  AllstructuresNotifyMask,	/* UnmapNotify */
  AllstructuresNotifyMask,	/* MapNotify */
  SubstructureRedirectMask,	/* MapRequest */
  AllstructuresNotifyMask,	/* ReparentNotify */
  AllstructuresNotifyMask,	/* ConfigureNotify */
  SubstructureRedirectMask,	/* ConfigureRequest */
  AllstructuresNotifyMask,	/* GravityNotify */
  ResizeRedirectMask,		/* ResizeRequest */
  AllstructuresNotifyMask,	/* CirculateNotify */
  SubstructureRedirectMask,	/* CirculateRequest */
  PropertyChangeMask,		/* PropertyNotify */
  CantBeFiltered,		/* SelectionClear */
  CantBeFiltered,		/* SelectionRequest */
  CantBeFiltered,		/* SelectionNotify */
  ColormapChangeMask,		/* ColormapNotify */
  CantBeFiltered,		/* ClientMessage */
  CantBeFiltered,		/* MappingNotify */
  NoEventMask			/* LASTEvent */
};
