.\" You might think this is a core dump, but it's -*- nroff -*-
.TH SHXBRIDGE 1
.SH NAME
shXbridge - pseudo server for window sharing of X applications
.SH SYNOPSIS
.B shXbridge
[-options ...]
.SH DESCRIPTION
.I shXbridge
is a pseudo server that allows X applications to share windows on
several machines synchronously.
.SH "OPTIONS"
.PP
.TP 8
.B \-display \fIdisplay\fP
The display option specifies the X server to contact.
Default is to contact your local server.
.PP
.TP 8
.B \-n \fInumber\fP
is the virtual local display number of the shXbridge.
Default is 2.
.PP
.SH "EXAMPLE"
Assume you are working on host foo and want to be able to share
windows with your colleagues.  Unfortunately host foo is a VMS
station, and shXbridge isn't (yet) ported to this platform.
Fortunately you have a Unix station bar in your neighbourhood, so you
can start the bridge on host bar like this:
.nf
	shXbridge -display foo::0 -n 2
.fi
It will print the message 
.nf
       Ready! (connected to foo::0)
       (bridge is listening for clients on connection bar:[:]2)
.fi
Now you should set your DISPLAY environment variable (on VMS it's
called DECW$DISPLAY) to bar::2.  Any application that you start from
now on is shareable with any other X server in your environment.  See
the helper documentation for how to share an application.
.SH "SEE ALSO"
"Using and Porting shX", \fIMichael P. Altenhofen, Digital CEC
Karlsruhe\fP
.SH ENVIRONMENT
.TP 8
.B DISPLAY
to get the default host and display to use.
.SH BUGS
The current version does not support byte swapping for clients between
workstations with different byte order, as e.g., between Vax and Sun.
.br
Pulling down menues too fast can result in interesting output on the
display.
.br
I recommend not to use XKillClient for closing shared display
connections.  The XMUX_HOSTS list will not be updated correctly.  Use
the helper for closing such connections.
.SH COPYRIGHT
Copyright 1990, Digital Equipment Corporation.
.br
You have the right to hack the sources and share them with others, but
you are not allowed to sell this software.
.br
See file \fICopyright\fP for a full statement of rights and permissions.
.SH AUTHOR
Michael P. Altenhofen,  Digital Equipment Corporation, CEC Karlsruhe,
.I altenhofen@kampus.enet.dec.com
